=== debian/changelog ===
lua-zlib (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #668057)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 18:17:16 +0200
