=== debian/control ===
Source: lua-zlib
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-zlib
Vcs-Browser: http://svn.debian.org/wsvn/pkg-lua/packages/lua-zlib/
Homepage: http://github.com/brimworks/lua-zlib

Package: lua-zlib
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: zlib library for the Lua language
 This package contains the Lua zlib library, that allows one to read
 compressed files from the Lua language.

Package: lua-zlib-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-zlib (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: zlib development files for the Lua language
 This package contains the development files of the Lua zlib library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.
