## lua-zlib 0.2+gitcfa1ecd

=== debian/changelog ===
lua-zlib (0.2+gitcfa1ecd-1) unstable; urgency=low

  * New snapshot supporting lua5.2 
  * Remove lua5.2 path, merged upstream
  * Package moved to git
  * Patch fixing upstream bug if no string is given to deflate
  * Patch making the test file lua5.2 compatible 
  * Fix copyright naming the license Expat and not MIT/X 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 18:34:50 +0200
