=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-zlib
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-lua/packages/lua-zlib/
 Homepage: http://github.com/brimworks/lua-zlib
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-zlib.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-zlib.git
 
 Package: lua-zlib
 Architecture: any
