## lua-zlib 0.2+git+1+9622739

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,25 @@
 PROJECT(lua-zlib C)
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 
+option(USE_LUA "Use Lua (also called 'C' Lua) version 5.1 includes (default)" ON)
+option(USE_LUAJIT "Use LuaJIT includes instead of 'C' Lua ones (recommended, if you're using LuaJIT, but disabled by default)")
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+
+if(USE_LUAJIT)
+# Find luajit
+        find_package(LuaJIT REQUIRED)
+        set(USE_LUA OFF)
+# / Find lua
+endif()
+
+if(USE_LUA)
+# Find lua
+        find_package(Lua51 REQUIRED)
+# / Find lua
+endif()
+
+
 # Basic configurations
   SET(INSTALL_CMOD share/lua/cmod CACHE PATH "Directory to install Lua binary modules (configure lua via LUA_CPATH)")
 # / configs
@@ -17,22 +36,18 @@
   FIND_PACKAGE(ZLIB REQUIRED)
 # / Find zlib
 
-# Find lua
-  FIND_PACKAGE(Lua51 REQUIRED)
-# / Find lua
-
 # Define how to build zlib.so:
   INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS} ${LUA_INCLUDE_DIR})
   ADD_LIBRARY(cmod_zlib MODULE
     lua_zlib.c zlib.def)
   SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES PREFIX "")
   SET_TARGET_PROPERTIES(cmod_zlib PROPERTIES OUTPUT_NAME zlib)
-  TARGET_LINK_LIBRARIES(cmod_zlib ${LUA_LIBRARIES} ${ZLIB_LIBRARIES})  
+  TARGET_LINK_LIBRARIES(cmod_zlib ${ZLIB_LIBRARIES})
 # / build zlib.so
 
 # Define how to test zlib.so:
   INCLUDE(CTest)
-  FIND_PROGRAM(LUA NAMES lua lua.bat)
+  FIND_PROGRAM(LUA NAMES lua luajit lua.bat)
   ADD_TEST(basic ${LUA} ${CMAKE_CURRENT_SOURCE_DIR}/test.lua ${CMAKE_CURRENT_SOURCE_DIR}/ ${CMAKE_CURRENT_BINARY_DIR}/)
   SET_TESTS_PROPERTIES(basic
                        PROPERTIES
