=== debian/changelog ===
lua-zlib (0.2+git+1+9622739-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870557).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 22:12:35 +0100

lua-zlib (0.2+git+1+9622739-2) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723493)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:50 +0200

lua-zlib (0.2+git+1+9622739-1) unstable; urgency=low

  * add Privides: ${lua:Provides} to control 
  * new upstream snapshot integrating debian patches:
    - 0001-Fix-avail_in-value-for-lz.deflate.patch
    - 0002-Lua5.2-require-does-not-set-a-global.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 23 Aug 2013 22:30:08 +0200
