=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
 Package: lua-zlib
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: zlib library for the Lua language
  This package contains the Lua zlib library, that allows one to read
@@ -21,9 +22,10 @@
 Package: lua-zlib-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: lua-zlib (= ${binary:Version}), ${misc:Depends}
+Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
 Description: zlib development files for the Lua language
  This package contains the development files of the Lua zlib library,
