=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=3
http://githubredir.debian.net/github/brimworks/lua-zlib/ v([\d\.]+).tar.gz
