## lua-zlib 1.2

=== debian/changelog ===
lua-zlib (1.2-2) unstable; urgency=medium

  * Add Lua 5.4 to the list of versions to build the package.
  * Switch build dependency on debhelper to the debhelper-compat virtual
    package.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Jul 2020 09:37:03 +0300

lua-zlib (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Ignore the .gitattributes file from the upstream tarball because it breaks
    git-buildpackage.
  * Acknowledge the NMU by Aurelien Jarno.
  * Add Lua 5.3 to the list of versions to build the package.
  * Fix the debian/watch uscan control file.
  * Add myself to the uploaders list.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.4.0.
  * Fix the VCS headers in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2019 14:42:55 +0300
