=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua, zlib1g-dev
-Standards-Version: 3.9.3
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-lua, zlib1g-dev
+Standards-Version: 4.5.0
 Homepage: http://github.com/brimworks/lua-zlib
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-zlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-zlib.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib
 
 Package: lua-zlib
 Architecture: any
