=== debian/rules ===
#!/usr/bin/make -f

%:
	DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector dh $@ --buildsystem=lua --with lua
