=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=3
https://github.com/brimworks/lua-zlib/releases /brimworks/lua-zlib/archive/v([.\d]+).tar.gz
