=== debian/changelog ===
lua-zlib (1.3-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 19:30:06 +0200

lua-zlib (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary patches.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Apr 2025 17:37:50 +0300

lua-zlib (1.2-4) unstable; urgency=medium

  * Fix the test which checks version of loaded zlib (Closes: #1058504).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Dec 2023 15:20:10 +0300

lua-zlib (1.2-3) unstable; urgency=medium

  * Team-maintain the package (Closes: #995537).
  * Fix the debian/watch uscan control file.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jan 2023 16:07:11 +0300
