=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lua-zlib
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-lua, zlib1g-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-lua, zlib1g-dev
+Standards-Version: 4.7.2
 Homepage: http://github.com/brimworks/lua-zlib
 Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib
