## lua-zlib 1.4

=== debian/changelog ===
lua-zlib (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump version in the debian/watch uscan control file to 4.
  * Bump the standards version to 4.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 10 Jan 2026 19:09:37 +0300
