=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-lua, zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://github.com/brimworks/lua-zlib
 Vcs-Git: https://salsa.debian.org/lua-team/lua-zlib.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-zlib
