=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-zlib
#
version=4
https://github.com/brimworks/lua-zlib/tags /brimworks/lua-zlib/archive/refs/tags/v([.\d]+).tar.gz
